%define prefix /usr/local
Summary: Calender application made with Tcl/Tk
Name: jp-ical 
Version: 2.2
Release: 1e
Source: http://www.research.digial.com/SRC/personal/Sanjay_Ghemawat/ical/icalbins/ical-%{version}.tar.gz
Source1: ical.wmconfig
Patch0: ical-2.2-newtcl.patch
Patch1: http://www.asahi-net.or.jp/~km5n-tkhs/ical-2.1j.diff
Patch2: http://www.asahi-net.or.jp/~km5n-tkhs/ical-over.diff
Patch3: ical-2.2-gcc295.patch
Patch4: ical-2.2j-font.patch
Url: http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html
Copyright: distributable
Group: Applications/Productivity
BuildRoot: /var/tmp/%{name}-root

%description
From the README:
Ical is a calendar application.  Some of the important features are:
    * Items can be created edited and deleted easily.
    * Items can be made to repeat in various ways.
    * Ical will post reminders for upcoming appointments.
    * Ical can print and list item occurrences.
    * Ical calendars can be shared by different users.
See also Ical homepage:
http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html


%prep
%setup -n ical-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# XXX patch0 changes configure.in
autoconf

CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
	--with-tclsh='%{prefix}/bin/tclsh' \
        --with-tclconfig='%{prefix}/lib' \
        --with-tkconfig='%{prefix}/lib' \
        --with-tclhdir='%{prefix}/include' \
        --with-tkhdir='%{prefix}/include'
make OPTF="$RPM_OPT_FLAGS -DKANJI -DKINPUT2 -DXIM_IMPROVE" \
	 X_LIBS='-L/usr/X11R6/lib -lX11'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/man/man1

make prefix=${RPM_BUILD_ROOT}%{prefix} install
strip ${RPM_BUILD_ROOT}%{prefix}/bin/ical-%{version}
install -m 644 $RPM_SOURCE_DIR/ical.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/ical
gzip ${RPM_BUILD_ROOT}%{prefix}/man/man1/ical.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES.html COPYRIGHT* README INSTALL TODO
%doc doc/ical.html doc/ical.doc 
%doc doc/interface.html doc/interface.doc
%{prefix}/bin/ical-%{version}
%{prefix}/bin/ical
%{prefix}/man/man1/ical.1.gz
%{prefix}/lib/ical
%config /etc/X11/wmconfig/ical

%changelog
* Tue Aug 29 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- patches replaced with those from vine.
- added font patch 
- installed in /usr/local

